Skip to main content
PATCH
/
v4
/
core
/
invite-links
/
{inviteLinkUuid}
Update
curl --request PATCH \
  --url https://api.integrations.commenda.io/v4/core/invite-links/{inviteLinkUuid} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "companyName": "Acme Inc",
  "syncFrom": "2024-01-01T00:00:00Z",
  "syncConfig": [
    {
      "frequency": "DAILY",
      "data_model": "INVOICE",
      "category": "ACCOUNTING",
      "scope_access": {
        "READ": true,
        "CREATE": false,
        "UPDATE": false,
        "DELETE": false
      },
      "enabled": true,
      "interval": 1,
      "sync_from": "2024-01-01T00:00:00Z"
    }
  ]
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/invite-links/{inviteLinkUuid}"

payload = {
"companyName": "Acme Inc",
"syncFrom": "2024-01-01T00:00:00Z",
"syncConfig": [
{
"frequency": "DAILY",
"data_model": "INVOICE",
"category": "ACCOUNTING",
"scope_access": {
"READ": True,
"CREATE": False,
"UPDATE": False,
"DELETE": False
},
"enabled": True,
"interval": 1,
"sync_from": "2024-01-01T00:00:00Z"
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Acme Inc',
syncFrom: '2024-01-01T00:00:00Z',
syncConfig: [
{
frequency: 'DAILY',
data_model: 'INVOICE',
category: 'ACCOUNTING',
scope_access: {READ: true, CREATE: false, UPDATE: false, DELETE: false},
enabled: true,
interval: 1,
sync_from: '2024-01-01T00:00:00Z'
}
]
})
};

fetch('https://api.integrations.commenda.io/v4/core/invite-links/{inviteLinkUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "inviteLink": {
      "id": 123,
      "inviteLinkId": "<string>",
      "companyId": 123,
      "syncFrom": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "dataModelConfigs": [
        {
          "enabled": true,
          "scopeAccess": {
            "READ": true,
            "CREATE": true,
            "UPDATE": true,
            "DELETE": true
          },
          "interval": 123,
          "syncFrom": "<string>",
          "isOverridden": true,
          "isChild": true
        }
      ]
    }
  },
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

Body

application/json
companyName
string
Example:

"Acme Inc"

syncFrom
string<date-time> | null
Example:

"2024-01-01T00:00:00Z"

syncConfig
object[] | null

Response

200 - application/json

The updated invite link.

data
object
required
request_id
string<uuid>
required